Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.management
Class ManagementRESTServiceConfiguration

    java.lang.Object
      org.quartz.management.ManagementRESTServiceConfiguration

    public class ManagementRESTServiceConfiguration

extends Object

Configuration class of management REST services.

Author:
  Ludovic Orban TODO : could be merged with ehcache ManagementRESTServiceConfiguration in a common module

Field Summary
`static String` | `DEFAULT_BIND` Default bind value.
`static int` | `DEFAULT_SECURITY_SVC_TIMEOUT` Default timeout for the connection to the configured security service

Constructor Summary
`ManagementRESTServiceConfiguration()`

Method Summary
`String` | `getBind()` Get the host:port pair to which the REST server should be bound.
`String` | `getHost()` Get the host part of the host:port pair to which the REST server should be bound.
`int` | `getPort()` Get the port part of the host:port pair to which the REST server should be bound.
`String` | `getSecurityServiceLocation()` Returns the security service location required for trusted identity assertion to the embedded REST management service.
`int` | `getSecurityServiceTimeout()` Returns the connection/read timeout value for the security service in milliseconds.
`boolean` | `isEnabled()` Check if the REST services should be enabled or not.
`void` | `setBind(String bind)` Set the host:port pair to which the REST server should be bound.
`void` | `setEnabled(boolean enabled)` Set that the REST services should be enabled or disabled.
`void` | `setSecurityServiceLocation(String securityServiceURL)` Sets the security service location required for trusted identity assertion to the embedded REST management service.
`void` | `setSecurityServiceTimeout(int securityServiceTimeout)` Sets the connection/read timeout value for the security service in milliseconds.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_BIND

    public static final String DEFAULT_BIND

  Default bind value.

  See Also:
    Constant Field Values

### DEFAULT_SECURITY_SVC_TIMEOUT

    public static final int DEFAULT_SECURITY_SVC_TIMEOUT

  Default timeout for the connection to the configured security service

  See Also:
    Constant Field Values

Constructor Detail

### ManagementRESTServiceConfiguration

    public ManagementRESTServiceConfiguration()

Method Detail

### isEnabled

    public boolean isEnabled()

  Check if the REST services should be enabled or not.

  Returns:
    true if REST services should be enabled.

### setEnabled

    public void setEnabled(boolean enabled)

  Set that the REST services should be enabled or disabled.

  Parameters:
    `enabled` - true if the REST services should be enabled.

### getSecurityServiceLocation

    public String getSecurityServiceLocation()

  Returns the security service location required for trusted identity assertion to the embedded REST management service. This feature is only available with an enterprise license.

  If this value is set, then this service will require secure dialog with the TMS or other 3rd party REST client implementations. The service furnished by the enterprise version of the TMC is located is provided at /api/assertIdentity.

  Returns:
    a string representing the URL of the security service.

### setSecurityServiceLocation

    public void setSecurityServiceLocation(String securityServiceURL)

  Sets the security service location required for trusted identity assertion to the embedded REST management service. This feature is only available with an enterprise license.

  If this value is set, then this service will require secure dialog with the TMS or other 3rd party REST client implementations. The service furnished by the enterprise version of the TMC is located is provided at /api/assertIdentity.

  Parameters:
    `securityServiceURL` - a string representing the URL of the security service.

### getSecurityServiceTimeout

    public int getSecurityServiceTimeout()

  Returns the connection/read timeout value for the security service in milliseconds.

  Returns:
    security service timeout

### setSecurityServiceTimeout

    public void setSecurityServiceTimeout(int securityServiceTimeout)

  Sets the connection/read timeout value for the security service in milliseconds.

  Parameters:
    `securityServiceTimeout` - milliseconds to timeout

### getBind

    public String getBind()

  Get the host:port pair to which the REST server should be bound. Format is: [IP address|host name]:[port number]

  Returns:
    the host:port pair to which the REST server should be bound.

### getHost

    public String getHost()

  Get the host part of the host:port pair to which the REST server should be bound.

  Returns:
    the host part of the host:port pair to which the REST server should be bound.

### getPort

    public int getPort()

  Get the port part of the host:port pair to which the REST server should be bound.

  Returns:
    the port part of the host:port pair to which the REST server should be bound.

### setBind

    public void setBind(String bind)

  Set the host:port pair to which the REST server should be bound.

  Parameters:
    `bind` - host:port pair to which the REST server should be bound.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.